Update folder
curl --request PUT \
--url https://api.vantage.sh/v2/folders/{folder_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"parent_folder_token": "<string>",
"saved_filter_tokens": [
"<string>"
]
}
'import requests
url = "https://api.vantage.sh/v2/folders/{folder_token}"
payload = {
"title": "<string>",
"parent_folder_token": "<string>",
"saved_filter_tokens": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
parent_folder_token: '<string>',
saved_filter_tokens: ['<string>']
})
};
fetch('https://api.vantage.sh/v2/folders/{folder_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "fldr_68e18d8d7df0be96",
"title": "New Title",
"parent_folder_token": "fldr_9aa0c735a6b615c6",
"created_at": "2023-09-12T05:06:53Z",
"updated_at": "2023-09-12T05:06:53Z",
"workspace_token": "wrkspc_e65a48e5d9684439"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Folders
Update folder
Update a Folder for CostReports.
PUT
/
folders
/
{folder_token}
Update folder
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Folder model
The title of the Folder.
Example:
"Platform Team Reports"
The type of the Folder.
The tokens for the SavedFilters assigned to the Folder.
The date and time, in UTC, the Folder was created. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The date and time, in UTC, the Folder was last updated at. ISO 8601 Formatted.
Example:
"2023-08-04T00:00:00Z"
The token for the Workspace the Folder is a part of.
The token for the parent Folder, if any.
⌘I